For the complete documentation index, see llms.txt. This page is also available as Markdown.

Change order

Atualizar Ordem do Campo da Tabela

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
tableIdstringObrigatório

ID da tabela

fieldIdstringObrigatório

ID do campo

Corpo
orderinteger · int32Opcional
Respostas
200

OK

application/json
idstringOpcional
titlestringOpcional
namestringOpcional
orderinteger · int32Opcional
table_idstringOpcional
database_field_idstringOpcional
typestring · enumObrigatórioValores possíveis:
rulestring · enumOpcionalValores possíveis:
aggregatestring · enumOpcionalValores possíveis:
visiblebooleanOpcional
enable_sortingbooleanOpcional
enable_searchbooleanOpcional
use_as_statusbooleanOpcional
field_typestring · enumOpcionalValores possíveis:
put/tables/{tableId}/fields/{fieldId}/change-order
PUT /api/b2b/tables/{tableId}/fields/{fieldId}/change-order HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 11

{
  "order": 1
}
{
  "id": "text",
  "title": "text",
  "name": "text",
  "order": 1,
  "table_id": "text",
  "database_field_id": "text",
  "type": "TIME",
  "rule": "DATE_TIME",
  "aggregate": "SUM",
  "visible": true,
  "enable_sorting": true,
  "enable_search": true,
  "use_as_status": true,
  "field_type": "DATABASE_FIELD",
  "options": [
    {
      "id": "text",
      "value": "text",
      "description": "text",
      "color": "text",
      "order": 1
    }
  ]
}